[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.AssignTo

Implements object persistence used to assign properties from the class instance to another persistent object.

## Declaration

Source position: comctrls.pp line 2156

`protected procedure TToolButton.AssignTo(`
`Dest: TPersistent`
`); override;`

## Arguments

`Dest` |  | Persistent object where the property values are stored.

## Description

AssignTo is an overridden method used to implement object persistence for the TToolButton class type. It allows properties in the class instance to be stored to the persistent object in Dest when it is a TCustomAction instance.

AssignTo calls the inherited method on entry to transfer common TCustomAction values to Dest. Additional properties in the tool button, like Down and ImageIndex, are handled as well.

## See also

TControl.AssignTo |  | Implements assignment of the control to an Action object, or calls the inherited method.
TPersistent.Assign
TCustomAction |  | TCustomAction is the ancestor class for TAction.